require_relative 'lib/activestorage_google_drive/version'

Gem::Specification.new do |spec|
  spec.name          = "activestorage_google_drive"
  spec.version       = ActivestorageGoogleDrive::VERSION
  spec.authors       = ["thkernel"]
  spec.email         = ["a.dembele@upcase.net"]

  spec.summary       = %q{Google Drive service as an Active Storage service.}
  spec.description   = %q{Wraps the Google Drive service as an Active Storage service.}
  spec.homepage      = "https://github.com/thkernel"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/thkernel"
  spec.metadata["changelog_uri"] = "https://github.com/thkernel"
  spec.license       = "MIT"
  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  #spec.add_dependency 'rails', '>= 5.2.0.rc2'
  spec.add_dependency 'google-api-client', '~> 0.43.0'
  spec.add_dependency 'googleauth', '~> 0.13.1'
end
